import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { rules } from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
import { getWeekMonthQuarterYear } from '/@/utils';
//列表数据
export const columns: BasicColumn[] = [
  {
    title: '服务器名称',
    align: 'center',
    dataIndex: 'serverName',
  },
  {
    title: '服务器IP',
    align: 'center',
    dataIndex: 'serverIp',
  },
  {
    title: '服务器端口',
    align: 'center',
    dataIndex: 'serverPort',
  },
  {
    title: '用户名',
    align: 'center',
    dataIndex: 'userName',
  },

  {
    title: '秘钥',
    align: 'center',
    dataIndex: 'serverPem',
  },
];

// 高级查询数据
export const superQuerySchema = {
  serverPort: { title: '服务器端口', order: 0, view: 'text', type: 'string' },
  userName: { title: '用户名', order: 1, view: 'text', type: 'string' },
  serverPassword: { title: '密码', order: 2, view: 'text', type: 'string' },
  serverPem: { title: '秘钥', order: 3, view: 'file', type: 'string' },
  serverName: { title: '服务器名称', order: 4, view: 'text', type: 'string' },
};
